Subject: Re: [X2Go-Dev] Bug#774: Bug#774: please set DESKTOP_SESSION and XDG_CURRENT_DESKTOP like local sessions

From: Mihai Moldovan <[email-masked]>
Date: Fri, 20 Mar 2015 05:48:49 +0100

On 17.03.2015 08:11 PM, Ryan Tandy wrote:
> Control: tags -1 + patch
>
> Hi! Sorry it's taken me so long to get back to you about this.
>
> On Thu, Feb 05, 2015 at 11:31:05AM +0000, Mike Gabriel wrote:
>> On  Do 29 Jan 2015 19:17:40 CET, Ryan Tandy wrote:
>>> I can write a patch that adds all this information to x2goruncommand
>>> in the existing format. However it occurs to me that it might make
>>> more sense to parse the files in /usr/share/xsessions and use the
>>> information directly instead of duplicating it. Please let me know
>>> which you'd prefer to see.
>>
>>
>> x2goruncommand actually requires a complete rewrite (and has to be
>> based on freedesktop.org specs).
>>
>> Until that happens, let's hard-code this stuff. Please provide your
>> patch.
>
> Well, I started doing that, but it ended up being a lot less work (and
> a lot shorter code) to just take the settings from the session files. :)
>
> Please consider the attached patch. It makes x2goruncommand behave
> more like GDM/LightDM for GNOME-ish sessions.

This looks interesting, but does it work for non-Ubuntu/Debian systems,
too? Especially old(er) ones like SLE{S,D} 11, EPEL 5 etc.?

Mihai